VFS_ACL_TDB(8)

NAME
vfs_acl_tdb - Save NTFS-ACLs in a tdb file

SYNOPSIS

vfs objects = acl_tdb

DESCRIPTION

This VFS module is part of the samba(7) suite.

The vfs_acl_tdb VFS module stores NTFS Access Control Lists (ACLs) in a tdb file. This enables the full mapping of Windows ACLs on Samba servers.

The ACL settings are stored in $LOCKDIR/file_ntacls.tdb.

This module is stackable.

OPTIONS

acl_tdb:ignore system acls = [yes|no]
    When set to yes, a best effort mapping from/to the POSIX ACL layer will not be done by this module. The default is no, which means that Samba keeps setting and evaluating both the system ACLs and the NT ACLs. This is better if you need your system ACLs be set for local or NFS file access, too. If you only access the data via Samba you might set this to yes to achieve better NT ACL compatibility.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.